#ifndef HOTCITY_H
#define HOTCITY_H

#include <QWidget>
#include <QPushButton>
#include <QLabel>
#include <QDebug>
#include "hotcitybtn.h"
#include "global/viewvar.h"
class HotCity : public QWidget
{
    Q_OBJECT
public:
    explicit HotCity(QWidget *parent = nullptr);

private:
    QWidget *m_hotWid;
    QList<HotcityBtn *> m_list;
    QLabel *m_title;

    void initPostion();
    void initConnect();
    QMap<int, QStringList> m_btnList;

signals:
    void setHotCity(QString code); //
};

#endif // HOTCITY_H
